### Method

# GLib Cond init

since: 2.32

#### Declaration [src]

    void
    g_cond_init (
      GCond* cond
    )

#### Description [src]

Initialises a `GCond` so that it can be used.

This function is useful to initialise a `GCond` that has been allocated as part of a larger structure. It is not necessary to initialise a `GCond` that has been statically allocated.

To undo the effect of `g_cond_init()` when a `GCond` is no longer needed, use g_cond_clear().

Calling `g_cond_init()` on an already-initialised `GCond` leads to undefined behaviour.

Available since: 2.32